
locals {
  access_tier = var.access_tier
  account_kind = var.account_kind
  account_replication_type = var.account_replication_type
  account_tier = var.account_tier
  allow_nested_items_to_be_public = var.allow_nested_items_to_be_public
  allowed_copy_scope = var.allowed_copy_scope
  azure_files_authentication = var.azure_files_authentication
  blob_properties = var.blob_properties
  containers = var.containers
  cross_tenant_replication_enabled = var.cross_tenant_replication_enabled
  custom_domain = var.custom_domain
  customer_managed_key = var.customer_managed_key
  default_to_oauth_authentication = var.default_to_oauth_authentication
  diagnostic_settings_blob = var.diagnostic_settings_blob
  diagnostic_settings_file = var.diagnostic_settings_file
  diagnostic_settings_queue = var.diagnostic_settings_queue
  diagnostic_settings_storage_account = var.diagnostic_settings_storage_account
  diagnostic_settings_table = var.diagnostic_settings_table
  edge_zone = var.edge_zone
  enable_https_traffic_only = var.enable_https_traffic_only
  enable_telemetry = var.enable_telemetry
  immutability_policy = var.immutability_policy
  infrastructure_encryption_enabled = var.infrastructure_encryption_enabled
  is_hns_enabled = var.is_hns_enabled
  large_file_share_enabled = var.large_file_share_enabled
  local_user = var.local_user
  location = var.location
  lock = var.lock
  managed_identities = var.managed_identities
  min_tls_version = var.min_tls_version
  name = var.name
  network_rules = var.network_rules
  nfsv3_enabled = var.nfsv3_enabled
  private_endpoints = var.private_endpoints
  public_network_access_enabled = var.public_network_access_enabled
  queue_encryption_key_type = var.queue_encryption_key_type
  queue_properties = var.queue_properties
  queues = var.queues
  resource_group_name = var.resource_group_name
  role_assignments = var.role_assignments
  routing = var.routing
  sas_policy = var.sas_policy
  sftp_enabled = var.sftp_enabled
  share_properties = var.share_properties
  shared_access_key_enabled = var.shared_access_key_enabled
  shares = var.shares
  static_website = var.static_website
  table_encryption_key_type = var.table_encryption_key_type
  tables = var.tables
  tags = var.tags
  timeouts = var.timeouts
  use_nested_nacl = var.use_nested_nacl
  wait_for_rbac_before_container_operations = var.wait_for_rbac_before_container_operations
  wait_for_rbac_before_queue_operations = var.wait_for_rbac_before_queue_operations
  wait_for_rbac_before_share_operations = var.wait_for_rbac_before_share_operations
  wait_for_rbac_before_table_operations = var.wait_for_rbac_before_table_operations
}
